com.genesyslab.wfm7.API.service.builder720

## Class EBldReoptimizationType

- java.lang.Object
- - com.genesyslab.wfm7.API.service.builder720.EBldReoptimizationType

-     public final class EBldReoptimizationType
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `BLD_REOPTIMIZE_ACTIVITIES` Reoptimize activities only.
    `static int` | `BLD_REOPTIMIZE_BREAKS` Reoptimize breaks only.
    `static int` | `BLD_REOPTIMIZE_BREAKS_MEALS` Reoptimize breaks and meals only.
    `static int` | `BLD_REOPTIMIZE_BREAKS_MEALS_ACTIVITIES` Reoptimize breaks, meals and activities only.
    `static int` | `BLD_REOPTIMIZE_SHIFTS` Reoptimize shift start/end/duration and all shift items and activities.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EBldReoptimizationType()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### BLD_REOPTIMIZE_BREAKS

          public static final int BLD_REOPTIMIZE_BREAKS

      Reoptimize breaks only.
      See Also:
        Constant Field Values

    - #### BLD_REOPTIMIZE_BREAKS_MEALS

          public static final int BLD_REOPTIMIZE_BREAKS_MEALS

      Reoptimize breaks and meals only.
      See Also:
        Constant Field Values

    - #### BLD_REOPTIMIZE_ACTIVITIES

          public static final int BLD_REOPTIMIZE_ACTIVITIES

      Reoptimize activities only.
      See Also:
        Constant Field Values

    - #### BLD_REOPTIMIZE_BREAKS_MEALS_ACTIVITIES

          public static final int BLD_REOPTIMIZE_BREAKS_MEALS_ACTIVITIES

      Reoptimize breaks, meals and activities only.
      See Also:
        Constant Field Values

    - #### BLD_REOPTIMIZE_SHIFTS

          public static final int BLD_REOPTIMIZE_SHIFTS

      Reoptimize shift start/end/duration and all shift items and activities.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### EBldReoptimizationType

          public EBldReoptimizationType()

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.